//
//  MikeTeoTutorialAppDelegate.m
//  MikeTeoTutorial
//
//  Created by Michael Teo http://miketeo.net/
//  Use of this file is governed by Creative Commons Attribution-Non Commercial License
//

#import "MikeTeoTutorialAppDelegate.h"
#import "FirstTabViewController.h"

@implementation MikeTeoTutorialAppDelegate

@synthesize window;
@synthesize tabBarController;
@synthesize firstTabViewController;

- (void)applicationDidFinishLaunching:(UIApplication *)application {	
	firstTabViewController = [[FirstTabViewController alloc] initWithNibName:@"FirstTabView" bundle:nil];
	[[[[tabBarController viewControllers] objectAtIndex:0] view] addSubview:[firstTabViewController view]];
	
	[window addSubview:[tabBarController view]];
	
	// Override point for customization after app launch	
    [window makeKeyAndVisible];
}


- (void)dealloc {
	[firstTabViewController release];
	[window release];
	[super dealloc];
}

@end
